#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=phppear --with phpcomposer

override_dh_auto_build:
	dh_auto_build
	phpab --follow --paranoid --nolower \
              --template debian/cs-autoload.php.tpl \
              --output src/autoload.php src

override_dh_auto_test:
	dh_auto_test
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	-phpunit --verbose src
else
	@printf "** tests disabled\n"
endif
